//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  DoubleFeedDetection.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "DoubleFeedDetection.hpp"
#include "Scanner.hpp"
#include <ES2Command/ES2CommandAPI.h>
namespace epsonscan {
void DoubleFeedDetection::SetValue(const SDIInt& intVal)
{
 current_ = intVal;
}
void DoubleFeedDetection::Reset()
{
 current_ = true;
}
void DoubleFeedDetection::GetValue(SDIInt& intVal)
{
 intVal = current_;
}
void DoubleFeedDetection::GetCapability(SDICapability &capability)
{
 SetDefaultListCapability(capability);
   capability.supportLevel = kSDISupportLevelNone;
 ESIndexSet available;
 SDICapability levelCapability;
 GetCapabilityWithKey(std::string(kSDIDoubleFeedDetectionLevelKey), levelCapability);
 if (levelCapability.supportLevel != kSDISupportLevelNone)
 {
  AddList(capability, true);
  AddList(capability, false);
  AddAllList(capability, true);
  AddAllList(capability, false);
  capability.supportLevel = kSDISupportLevelAvailable;
 }else{
  ResetList(capability);
 }
 if (GetValueInt(kSDIFunctionalUnitKey) == kSDIFunctionalUnitFlatbed)
 {
  capability.supportLevel = kSDISupportLevelUnavailable;
  ResetList(capability);
 }else{
  capability.supportLevel = kSDISupportLevelAvailable;
 }
}
ESDictionary DoubleFeedDetection::GetEngineKeyValues()
{
 auto dict = ESDictionary();
 return dict;
}
}
