//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  ImageFormat.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "ImageFormat.hpp"
#include "Scanner.hpp"
#include <ES2Command/ES2CommandAPI.h>
namespace epsonscan {
void ImageFormat::SetValue(const SDIInt& intVal)
{
 current_ = intVal;
}
void ImageFormat::Reset()
{
 current_ = kSDIImageFormatColorJpegMonoPNM;
}
void ImageFormat::GetValue(SDIInt& intVal)
{
 intVal = current_;
}
void ImageFormat::GetCapability(SDICapability &capability)
{
 SetDefaultListCapability(capability);
    capability.supportLevel = kSDISupportLevelAvailable;
 AddList(capability, kSDIImageFormatRaw);
 AddAllList(capability, kSDIImageFormatRaw);
 AddList(capability, kSDIImageFormatPNM);
 AddAllList(capability, kSDIImageFormatPNM);
 AddList(capability, kSDIImageFormatJPEG);
 AddAllList(capability, kSDIImageFormatJPEG);
 AddList(capability, kSDIImageFormatPNG);
 AddAllList(capability, kSDIImageFormatPNG);
 AddList(capability, kSDIImageFormatTIFF);
 AddAllList(capability, kSDIImageFormatTIFF);
 AddList(capability, kSDIImageFormatColorJpegMonoPNM);
 AddAllList(capability, kSDIImageFormatColorJpegMonoPNM);
}
ESDictionary ImageFormat::GetEngineKeyValues()
{
 auto dict = ESDictionary();
 return dict;
}
}
