//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  Orientation.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "Orientation.hpp"
#include "Scanner.hpp"
#include "GetOrientation.hpp"
#include <ES2Command/ES2CommandAPI.h>
namespace epsonscan {
void Orientation::SetValue(const SDIInt& intVal)
{
 current_ = intVal;
}
void Orientation::Reset()
{
 current_ = kSDIOrientationNone;
}
void Orientation::GetValue(SDIInt& intVal)
{
 intVal = current_;
}
void Orientation::GetCapability(SDICapability &capability)
{
 SetDefaultListCapability(capability);
 AddList(capability, kSDIOrientationNone);
 AddAllList(capability, kSDIOrientationNone);
 AddList(capability, kSDIOrientation90);
 AddAllList(capability, kSDIOrientation90);
 AddList(capability, kSDIOrientation180);
 AddAllList(capability, kSDIOrientation180);
 AddList(capability, kSDIOrientation270);
 AddAllList(capability, kSDIOrientation270);
 if (GetOrientation::IsPluginAvailable())
 {
  AddList(capability, kSDIOrientationAuto);
  AddAllList(capability, kSDIOrientationAuto);
 }
}
ESDictionary Orientation::GetEngineKeyValues()
{
 auto dict = ESDictionary();
 return dict;
}
}
