//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  ESCI2DataConstructor.h -- template and derived ESC/I ESC/I-2 protocol commands
#pragma once

       
class CESCI2DataConstructor
{
public:
 CESCI2DataConstructor();
 ~CESCI2DataConstructor();
 void Init();
 void AppendFourCharString( const ESStringA& strFourChar );
 void AppendDecimal( unsigned short usDecimal );
 void AppendInteger( int nInteger );
 void AppendHex( unsigned long nHex );
 void AppendData( const ESByteData& data );
 ESByteData& GetData()
 {
  return m_data;
 }
 ESByteData* GetDataPtr()
 {
  return &m_data;
 }
protected:
 ESByteData m_data;
};
