//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  addpagescheckbox.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef ADDPAGESCHECKBOX_H
#define ADDPAGESCHECKBOX_H 
#include <QCheckBox>
#include "capitem.h"
class AddpagesCheckbox : public QCheckBox
{
public:
    AddpagesCheckbox(QWidget *parent = 0);
    void initialize(bool default_val);
    void focusOutEvent(QFocusEvent* event);
    void update_ui();
    void item_event(bool value, bool* add_pages);
    bool get_current_item();
private:
    bool current_item;
    bool changed;
    void set_enabled(bool enabled);
    void select_item(bool select);
};
#endif
