//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  brightnessslider.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "mainwindow.h"
BrightnessSlider::BrightnessSlider(QWidget *parent) :
    QSlider(parent),
    changed(false),
    current_item(0)
{
}
void BrightnessSlider::initialize(int default_item){
    changed = true;
    current_item = default_item;
}
void BrightnessSlider::update_ui(){
    if(changed == true){
        this->set_enabled(true);
        this->setValue(current_item);
        changed = false;
    }
}
void BrightnessSlider::set_enabled(bool enabled)
{
    this->setEnabled(enabled);
}
void BrightnessSlider::item_event(int value, INT_SETTING_VALUE* brightness_para)
{
    brightness_para->select = current_item = value;
    changed = true;
}
