//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  imageformatsettingscombobox.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef IMAGEFORMATSETTINGSCOMBOBOX_H
#define IMAGEFORMATSETTINGSCOMBOBOX_H 
#include <QComboBox>
#include "supervisor.h"
#include "imageformatcomb.h"
class ImageFormatSettingsCombobox : public QComboBox
{
public:
    ImageFormatSettingsCombobox(QWidget *parent = 0);
    ImageFormat current_item;
    void initialize(ImageFormat default_item);
    void item_event(int value);
    void get_current_item(ImageFormat* select);
    void update_ui(ImageFormat img_format_list[]);
private:
    bool changed;
    void set_enabled(bool enabled);
    void add_item(ImageFormat img_format_list[]);
    void select_item();
};
#endif
