//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  rotate.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef ROTATE_H
#define ROTATE_H 
#include <QComboBox>
#include "supervisor.h"
class RotateComb : public QComboBox
{
public:
    RotateComb(QWidget *parent = 0);
    void initialize();
    void focusOutEvent(QFocusEvent* event);
    void update_ui(INT_SETTING_VALUE rotate_para);
    void item_event(int value, INT_SETTING_VALUE* rotate_para);
private:
    bool changed;
    void set_enabled(bool enabled);
    void add_item(int32_t item_list[], int32_t list_size);
    void select_item(INT_SETTING_VALUE rotate_para);
};
#endif
